import {
	getStore,
	setStore
} from '@/untils/store.js'

export default {
	state: {
		homeNavShow: getStore({
			name: 'homeNavShow'
		}) !== false,
		homeTitle: getStore({
			name: 'homeTitle'
		}) || '德阳市智慧就业服务平台'
	},
	actions: {},
	mutations: {
		SET_HOME_TITLE: (state, status) => {
			state.homeTitle = status
			setStore({
				name: 'homeTitle',
				content: state.homeTitle
			})
		},
		SET_HOME_NAV_SHOW: (state, status) => {
			state.homeNavShow = status
			setStore({
				name: 'homeNavShow',
				content: state.homeNavShow
			})
		},
	}
}
